Skip to main content
PUT
/
v3
/
llm-gateway
/
providers
/
{provider}
curl --request PUT \
  --url https://{host}/v3/llm-gateway/providers/{provider} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "openai",
  "models": [
    {
      "name": "gpt-4"
    },
    {
      "name": "gpt-3.5-turbo"
    },
    {
      "name": "gpt-4o-mini"
    }
  ]
}
'
{
  "api": "v3",
  "data": {
    "id": 1,
    "uuid": "550e8400-e29b-41d4-a716-446655440000",
    "provider": "OpenAI",
    "credentials": [
      {
        "name": "Production Key",
        "uuid": "550e8400-e29b-41d4-a716-446655440004",
        "credential_type": "api_key"
      },
      {
        "name": "Development Key",
        "uuid": "550e8400-e29b-41d4-a716-446655440005",
        "credential_type": "api_key"
      }
    ],
    "models": [
      {
        "name": "gpt-4",
        "uuid": "550e8400-e29b-41d4-a716-446655440008"
      },
      {
        "name": "gpt-3.5-turbo",
        "uuid": "550e8400-e29b-41d4-a716-446655440009"
      },
      {
        "name": "gpt-4o-mini",
        "uuid": "550e8400-e29b-41d4-a716-446655440010"
      }
    ],
    "created_at": "2025-01-08T00:00:00Z",
    "updated_at": "2025-01-08T13:00:00Z",
    "created_by": {
      "id": "550e8400-e29b-41d4-a716-446655440002",
      "full_name": "Joe Schmoe",
      "email": "joe_schmoe@email.com"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
string
required

Name of the LLM provider (e.g., OpenAI, Anthropic)

Body

application/json

Request body for updating an LLM provider. This is a replace operation where you specify the complete desired state. Omitted fields will be removed.

provider
string
required

Name of the LLM provider

api_base
string | null

Custom API base URL. Required for providers with customer-specific endpoints (e.g., Databricks workspace URL). Must use HTTPS.

Maximum string length: 512
models
Model Compact Request · object[]

Complete list of models to support. This replaces all existing models.

credentials
Credential Update · object[]

Complete list of credentials. Include existing ones (name/uuid) to keep them, add new ones (name/credential_config) to create them. Omitted credentials will be removed.

Response

LLM provider updated successfully

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object

Details of an LLM provider